package speiger.src.coreengine.core.events.api;

public interface ICancelableEvent {
	Event self(); 
	default boolean isCancelable() { return true; }
	default void setCanceled(boolean value) { self().canceled = value; }
	default boolean isCanceled() { return self().canceled; }
}
